LIVE-HELPER(1)

NAME
lh clean - Clean build directory

SYNOPSIS
lh clean [live-helper options]

DESCRIPTION
lh clean is a high-level command (porcelain) of live-helper(7), the Debian Live tool suite.

lh clean is responsible for cleaning up after a system is built. It removes the build directories, and removes some other files including stage files, and any detritus left behind by other live-helper commands.

OPTIONS
In addition to its specific options lh clean understands all generic live-helper options. See live-helper(7) for a complete list of all generic live-helper options.

--all
    removes chroot, binary, stage, and source. The cache directory is kept. This is the default operation and will be performed if no argument is given.

--cache
    removes the cache directories.

--chroot
    unmounts and removes the chroot directory.

--binary
    removes all binary related caches, files, directories, and stages files.

--purge
    removes everything, including all caches. The config directory is kept.

--remove
    removes everything, including package cache but not stage cache. The config directory is kept.

--stage
    removes all stage files.

--source
    removes all source related caches, files, directories, and stage files.

FILES

auto/clean

SEE ALSO
live-helper(7)

This program is a part of live-helper.

HOMEPAGE
More information about live-helper and the Debian Live project can be found on the homepage at <http://live.debian.net/> and in the manual at <http://live.debian.net/manual/>.

BUGS
Bugs can be reported by submitting a bugreport for the live-helper package in the Debian Bug Tracking System at <http://bugs.debian.org/> or by writing a mail to the Debian Live mailing list at <debian-live@lists.debian.org>.

AUTHOR
live-helper was written by Daniel Baumann <daniel@debian.org> for the Debian project.